<?php

/**
 * English language for the "vector" DokuWiki template
 *
 * If your language is not/only partially translated or you found an error/typo,
 * have a look at the following files:
 * - "/lib/tpl/vector/lang/<your lang>/lang.php"
 * - "/lib/tpl/vector/lang/<your lang>/settings.php"
 * If they are not existing, copy and translate the English ones (hint: looking
 * at <http://[your lang].wikipedia.org> might be helpful). And don't forget to
 * mail the translation to me,
 * Andreas Haerter <andreas.haerter@dev.mail-node.com>. Thanks :-D.
 *
 *
 * LICENSE: This file is open source software (OSS) and may be copied under
 *          certain conditions. See COPYING file for details or try to contact
 *          the author(s) of this file in doubt.
 *
 * @license GPLv2 (http://www.gnu.org/licenses/gpl2.html)
 * @author Andreas Haerter <andreas.haerter@dev.mail-node.com>
 * @link http://andreas-haerter.com/projects/dokuwiki-template-vector
 * @link http://www.dokuwiki.org/template:vector
 * @link http://www.dokuwiki.org/config:lang
 * @link http://www.dokuwiki.org/devel:configuration
 */


//check if we are running within the DokuWiki environment
if (!defined("DOKU_INC")){
    die();
}

//tabs, personal tools and special links
$lang["vector_article"] = "Article";
$lang["vector_discussion"] = "Discussion";
$lang["vector_read"] = "Lecture";
$lang["vector_edit"] = "Éditer";
$lang["vector_create"] = "Créer";
$lang["vector_userpage"] = "Page utilisateur";
$lang["vector_specialpage"] = "Pages spéciales";
$lang["vector_mytalk"] = "Mes discussions";
$lang["vector_exportodt"] = "Exporter: ODT";
$lang["vector_exportpdf"] = "Exporter: PDF";
$lang["vector_subscribens"] = "S'abonner aux changement"; //original DW lang $lang["btn_subscribens"] is simply too long for common tab configs
$lang["vector_unsubscribens"] = "Se désabonner aux changement";  //original DW lang $lang["btn_unsubscribens"] is simply too long for common tab configs
$lang["vector_translations"] = "Langues";

//headlines for the different bars and boxes
$lang["vector_navigation"] = "Navigation";
$lang["vector_toolbox"] = "Boite à outils";
$lang["vector_exportbox"] = "Imrpimer/Exporter";
$lang["vector_inotherlanguages"] = "Langues";
$lang["vector_printexport"] = "Imprimer/Exporter";
$lang["vector_personnaltools"] = "Boite à outils personnelles";

//buttons
$lang["vector_btn_go"] = "Go";
$lang["vector_btn_search"] = "Rechercher";
$lang["vector_btn_search_title"] = "Rechercher ce texte";

//exportbox ("print/export")
$lang["vector_exportbxdef_print"] = "Version imprimable";
$lang["vector_exportbxdef_downloadodt"] = "Télécharger en ODT";
$lang["vector_exportbxdef_downloadpdf"] = "Télécharger en PDF";

//default toolbox
$lang["vector_toolbxdef_whatlinkshere"] = "Quelle page pointe ici";
$lang["vector_toolbxdef_upload"] = "Envoyez un fichier";
$lang["vector_toolbxdef_siteindex"] = "Index du site";
$lang["vector_toolboxdef_permanent"] = "Lien permanent";
$lang["vector_toolboxdef_cite"] = "Citez cette page";

//cite this article
$lang["vector_cite_bibdetailsfor"] = "Bibliographic details for";
$lang["vector_cite_pagename"] = "Nom de la page";
$lang["vector_cite_author"] = "Auteur";
$lang["vector_cite_publisher"] = "Publisher";
$lang["vector_cite_dateofrev"] = "Date of this revision";
$lang["vector_cite_dateretrieved"] = "Date retrieved";
$lang["vector_cite_permurl"] = "Permanent URL";
$lang["vector_cite_pageversionid"] = "Page Version ID";
$lang["vector_cite_citationstyles"] = "Citation styles for";
$lang["vector_cite_checkstandards"] = "Please remember to check your manual of style, standards guide or instructor's guidelines for the exact syntax to suit your needs.";
$lang["vector_cite_latexusepackagehint"] = "When using the LaTeX package url (\usepackage{url} somewhere in the preamble), which tends to give much more nicely formatted web addresses, the following may be preferred";
$lang["vector_cite_retrieved"] = "Récupéré";
$lang["vector_cite_from"] = "De";
$lang["vector_cite_in"] = "Dans";
$lang["vector_cite_accessed"] = "Accédée";
$lang["vector_cite_cited"] = "Citée";
$lang["vector_cite_lastvisited"] = "Dernière visite";
$lang["vector_cite_availableat"] = "Available at";
$lang["vector_cite_discussionpages"] = "DokuWiki talk pages";
$lang["vector_cite_markup"] = "Markup";
$lang["vector_cite_result"] = "Résultat";
$lang["vector_cite_thisversion"] = "Cette version";

//other
$lang["vector_search"] = "Rechercher";
$lang["vector_accessdenied"] = "Accès refusé";
$lang["vector_fillplaceholder"] = "Merci de remplir cet espace";
$lang["vector_donate"] = "Faire un don";
$lang["vector_mdtemplatefordw"] = "Modèle vector pour DokuWiki";
$lang["vector_recentchanges"] = "Changements récents";

